Subject: Re: send-email sending shallow threads by default

From: Andreas Ericsson <[email-masked]>
Date: Tue, 17 Feb 2009 09:30:40 +0100

Jeff King wrote:
> On Sun, Feb 15, 2009 at 03:53:50PM -0800, [email-masked] wrote:
> 
>>> * git-send-email won't make deep threads by default
>>>
>>>  Many people said that by default when sending more than 2 patches the
>>>  threading git-send-email makes by default is hard to read, and they
>>>  prefer the default be one cover letter and each patch as a direct
>>>  follow-up to the cover letter.
>>>
>>>  http://article.gmane.org/gmane.comp.version-control.git/109790
>> I have mixed feelings about this one, if some messages get delayed in  
>> transit the deep threads still keeps them in order, while the 2-layer  
>> option doesn't.
> 
> Is that the case? mutt at least orders by thread, but by rfc822 date
> within a single level of thread. So as long as the date fields (set by
> the sender) are correct, it looks right no matter what order they arrive
> in.
> 
> Are there common readers that thread but do not order by date?
> 

Thunderbird does it. I haven't found an option to sort by "date sent"
inside threads, .

FWIW, I like this change either way. Deep threading is nice for up to
five or so patches. After that it becomes messy. Shallow threading
simply scales much better, so it's easier to be consistent if that's
the default.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231